## python-cpuinfo 9.0.0+git20221119

=== Makefile ===

VERSION = 9.0.0

.PHONY: all
all:
	@echo build: Builds the python source dist package
	@echo install: Installs python source dist package
	@echo clean: Removes any generated files
	@echo rst: uses pandoc to generate the README.rst file from README.md
	@echo test: Runs the unit tests

.PHONY: clean-temp-files
clean-temp-files:
	rm -f *.pyc
	rm -f */*.pyc
	rm -f -rf __pycache__
	rm -f -rf */__pycache__
	rm -f -rf py_cpuinfo.egg-info
	rm -f -rf dist
	rm -f -rf build

.PHONY: clean-dist-files
clean-dist-files:
	rm -f -rf py-cpuinfo-$(VERSION)
	rm -f -rf py-cpuinfo-$(VERSION).tar.gz
	rm -f -rf py-cpuinfo-$(VERSION).zip
	rm -f -rf py_cpuinfo-$(VERSION)-py3-none-any.whl

.PHONY: clean
clean: clean-temp-files clean-dist-files

.PHONY: _actual_build
_actual_build:
	python3 setup.py sdist --formats=gztar,zip
	python3 setup.py bdist_wheel

build: clean _actual_build move_built
	$(MAKE) clean-temp-files

.PHONY: move_built
move_built:
	mv dist/py-cpuinfo-$(VERSION).tar.gz py-cpuinfo-$(VERSION).tar.gz
	mv dist/py-cpuinfo-$(VERSION).zip py-cpuinfo-$(VERSION).zip
	mv dist/py_cpuinfo-$(VERSION)-py3-none-any.whl py_cpuinfo-$(VERSION)-py3-none-any.whl

.PHONY: release
release:
	# Create release
	git commit -a -m "Release $(VERSION)"
	git push

	# Create and push tag
	git tag v$(VERSION) -m "Release $(VERSION)"
	git push --tags

.PHONY: upload
upload: clean _actual_build
	twine upload dist/py-cpuinfo-$(VERSION).tar.gz
	twine upload dist/py_cpuinfo-$(VERSION)-py3-none-any.whl

install: remove
	tar xzf py-cpuinfo-$(VERSION).tar.gz
	cd py-cpuinfo-$(VERSION)/ && python3 setup.py install
	rm -f -rf py-cpuinfo-$(VERSION)

	@echo now try "from cpuinfo import get_cpu_info"
	@echo "get_cpu_info()"

remove:
	rm -f /usr/local/bin/cpuinfo

test:
	python3 setup.py test

rst:
	rm -f -rf README.rst
	pandoc --from=markdown --to=rst --output=README.rst README.md

## python-cpuinfo 3.3.0

=== debian/changelog ===
python-cpuinfo (3.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.
  * Bump Standards-Version to 4.1.0.
  * Fix section of binary package py-cpuinfo.

 -- Hugo Lefeuvre <hle@debian.org>  Sun, 24 Sep 2017 23:42:41 +0200

python-cpuinfo (3.0.0-1) experimental; urgency=low

  * Initial release (Closes: #860182)

 -- Hugo Lefeuvre <hle@debian.org>  Thu, 13 Apr 2017 10:36:52 +0200

=== debian/control ===
Source: python-cpuinfo
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Hugo Lefeuvre <hle@debian.org>
Build-Depends: debhelper (>= 10),
               dh-python,
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools
Standards-Version: 4.1.0
Homepage: https://github.com/workhorsy/py-cpuinfo
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-cpuinfo.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-cpuinfo.git/

Package: python-cpuinfo
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends}
Description: Python module for getting CPU info
 The cpuinfo Python module provides pure Python tools for getting CPU infos.
 .
 This package installs the library for Python 2.

Package: python3-cpuinfo
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Python module for getting CPU info (Python 3)
 The cpuinfo Python module provides pure Python tools for getting CPU infos.
 .
 This package installs the library for Python 3.

Package: py-cpuinfo
Architecture: all
Section: admin
Depends: python3-cpuinfo,
         ${misc:Depends},
         ${python3:Depends}
Description: Python script for getting CPU info
 py-cpuinfo provides a simple way to get CPU infos from the command line.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=cpuinfo
export PYBUILD_DEST_DIR_python2=debian/python-$(PYBUILD_NAME)
export PYBUILD_DEST_DIR_python3=debian/python3-$(PYBUILD_NAME)
export PYBUILD_DEST_DIR_APP=debian/py-cpuinfo

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	# Move the python3 application to the application package.
	mkdir -p $(PYBUILD_DEST_DIR_APP)/usr/bin
	mv $(PYBUILD_DEST_DIR_python3)/usr/bin/cpuinfo $(PYBUILD_DEST_DIR_APP)/usr/bin/py-cpuinfo
	# Remove the python2 application.
	rm $(PYBUILD_DEST_DIR_python2)/usr/bin/cpuinfo

=== debian/watch ===
version=3
https://pypi.debian.net/py-cpuinfo/py-cpuinfo-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-cpuinfo 4.0.0

=== debian/changelog ===
python-cpuinfo (4.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Hugo Lefeuvre ]
  * New upstream release.
  * Bump compat to 11.
  * Bump debian/watch to version 4.
  * Bump manpage years.
  * debian/control:
    - Bump Standards-Version to 4.1.4.
    - Update debhelper dependency to >= 11.
    - Add autopkgtest stanza.
    - Longer binary package descriptions.
  * debian/copyright:
    - Update copyright years.

 -- Hugo Lefeuvre <hle@debian.org>  Tue, 17 Apr 2018 23:16:46 -0400

=== debian/control ===
Source: python-cpuinfo
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Hugo Lefeuvre <hle@debian.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools
Standards-Version: 4.1.4
Homepage: https://github.com/workhorsy/py-cpuinfo
Testsuite: autopkgtest-pkg-python
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Vcs-Git: https://salsa.debian.org/python-team/modules/python-cpuinfo.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-cpuinfo

Package: python-cpuinfo
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends}
Description: Python module for getting CPU info
 The cpuinfo Python module provides pure Python tools for getting CPU infos.
 .
 py-cpuinfo works without any extra programs or libraries beyond what the
 OS provides. For instance - on Linux based systems - python-cpuinfo retrieves
 information from various sources, including but not restricted to:
 /proc/cpuinfo, dmesg, lscpu, device-tree ibm features flags, etc.
 .
 This package installs the library for Python 2.

Package: python3-cpuinfo
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Python module for getting CPU info (Python 3)
 The cpuinfo Python module provides pure Python tools for getting CPU infos.
 .
 py-cpuinfo works without any extra programs or libraries beyond what the
 OS provides. For instance - on Linux based systems - python-cpuinfo retrieves
 information from various sources, including but not restricted to:
 /proc/cpuinfo, dmesg, lscpu, device-tree ibm features flags, etc.
 .
 This package installs the library for Python 3.

Package: py-cpuinfo
Architecture: all
Section: admin
Depends: python3-cpuinfo,
         ${misc:Depends},
         ${python3:Depends}
Description: Python script for getting CPU info
 The py-cpuinfo Python module provides pure Python tools for getting CPU infos,
 without any need of dependencies or extra programs beyond what the OS provides.
 .
 This package installs the command line tool for getting CPU info based on the
 py-cpuinfo Python module.

## python-cpuinfo 5.0.0

=== debian/changelog ===
python-cpuinfo (5.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #937667

 -- Sandro Tosi <morph@debian.org>  Tue, 26 Nov 2019 19:22:31 -0500

python-cpuinfo (5.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Use debhelper-compat instead of debian/compat.

  [ Hugo Lefeuvre ]
  * New upstream release.
  * Bump manpage years.
  * debian/control:
    - Bump Standards-Version to 4.4.0.
  * debian/copyright:
    - Update copyright years.

 -- Hugo Lefeuvre <hle@debian.org>  Sat, 20 Jul 2019 20:55:17 -0300

=== debian/control ===
--- 
+++ 
@@ -3,33 +3,15 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Hugo Lefeuvre <hle@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
-               python-all,
-               python-setuptools,
                python3-all,
                python3-setuptools
-Standards-Version: 4.1.4
+Standards-Version: 4.4.1
 Homepage: https://github.com/workhorsy/py-cpuinfo
 Testsuite: autopkgtest-pkg-python
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-cpuinfo.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-cpuinfo
-
-Package: python-cpuinfo
-Architecture: all
-Depends: ${misc:Depends},
-         ${python:Depends}
-Description: Python module for getting CPU info
- The cpuinfo Python module provides pure Python tools for getting CPU infos.
- .
- py-cpuinfo works without any extra programs or libraries beyond what the
- OS provides. For instance - on Linux based systems - python-cpuinfo retrieves
- information from various sources, including but not restricted to:
- /proc/cpuinfo, dmesg, lscpu, device-tree ibm features flags, etc.
- .
- This package installs the library for Python 2.
 
 Package: python3-cpuinfo
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=cpuinfo
export PYBUILD_DEST_DIR_python3=debian/python3-$(PYBUILD_NAME)
export PYBUILD_DEST_DIR_APP=debian/py-cpuinfo

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	# Move the python3 application to the application package.
	mkdir -p $(PYBUILD_DEST_DIR_APP)/usr/bin
	mv $(PYBUILD_DEST_DIR_python3)/usr/bin/cpuinfo $(PYBUILD_DEST_DIR_APP)/usr/bin/py-cpuinfo

=== debian/watch ===
version=4
https://pypi.debian.net/py-cpuinfo/py-cpuinfo-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-cpuinfo 9.0.0

=== debian/changelog ===
python-cpuinfo (9.0.0-1) unstable; urgency=medium

  * Team upload.
  * debian/control: Remove retired uploader. (Closes: #1050269)

  [ Bo YU ]
  * New upstream version 9.0.0. (Closes: #1032957)
  * Set std-ver to 4.6.2.

 -- Boyuan Yang <byang@debian.org>  Tue, 12 Dec 2023 15:55:57 -0500

python-cpuinfo (5.0.0-5) unstable; urgency=medium

  * Team upload.
  * d/control: add b-d on pytest to force tests to run via something other
    than the deprecated "python3 setup.py test" command.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sat, 03 Dec 2022 17:06:04 -0500

python-cpuinfo (5.0.0-4) UNRELEASED; urgency=medium

  * Update standards version to 4.6.1, no changes needed.

 -- Debian Janitor <janitor@jelmer.uk>  Sun, 04 Sep 2022 20:40:59 -0000

python-cpuinfo (5.0.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Update standards version to 4.5.0, no changes needed.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

 -- Sandro Tosi <morph@debian.org>  Fri, 03 Jun 2022 00:00:58 -0400

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: python-cpuinfo
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Hugo Lefeuvre <hle@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               dh-python,
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Boyuan Yang <byang@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
                python3-all,
-               python3-setuptools
-Standards-Version: 4.4.1
+               python3-setuptools,
+               python3-pytest <!nocheck>
+Standards-Version: 4.6.2
 Homepage: https://github.com/workhorsy/py-cpuinfo
 Testsuite: autopkgtest-pkg-python
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-cpuinfo.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-cpuinfo
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-cpuinfo.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cpuinfo
 
 Package: python3-cpuinfo
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export PYBUILD_DEST_DIR_APP=debian/py-cpuinfo
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_install:
 	dh_auto_install

## python-cpuinfo 9.0.0+git20221119

=== debian/changelog ===
python-cpuinfo (9.0.0+git20221119-3) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See #1093668)
  * debian/patches/0001-python-cpuinfo-hppa-v2.patch: Add patch to
    fix hppa support. (Closes: #1092350)

 -- Boyuan Yang <byang@debian.org>  Mon, 20 Jan 2025 22:27:16 -0500

python-cpuinfo (9.0.0+git20221119-2) unstable; urgency=medium

  * Team upload.
  * Use pybuild-plugin-pyproject.
  * Switch to autopkgtest-pkg-pybuild.

 -- Colin Watson <cjwatson@debian.org>  Tue, 30 Jul 2024 12:57:43 +0100

python-cpuinfo (9.0.0+git20221119-1) unstable; urgency=medium

  * New upstream snapshot.
    + Add support for loongarch64 architecture. (Closes: #1066082)
  * debian/copyright: Update information.

 -- Boyuan Yang <byang@debian.org>  Tue, 12 Mar 2024 11:05:23 -0400

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Boyuan Yang <byang@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-setuptools,
                python3-pytest <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/workhorsy/py-cpuinfo
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-cpuinfo.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cpuinfo

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,13 @@
 export PYBUILD_NAME=cpuinfo
 export PYBUILD_DEST_DIR_python3=debian/python3-$(PYBUILD_NAME)
 export PYBUILD_DEST_DIR_APP=debian/py-cpuinfo
+ifeq ($(PYBUILD_AUTOPKGTEST),1)
+# Set things up so that test_cli uses the installed packages.
+export PYBUILD_BEFORE_TEST=\
+	mkdir -p {build_dir}/cpuinfo && \
+	ln -s /usr/bin/py-cpuinfo {build_dir}/cpuinfo/cpuinfo.py
+export PYBUILD_AFTER_TEST=rm -rf {build_dir}/cpuinfo
+endif
 
 %:
 	dh $@ --buildsystem=pybuild
